\section{Getting started and processing the document}\label{sec:processing}
The OMI templates is much simpler than the TROPOMI template as only a single bibliography is used.
However we have agreed to include the svn revision as version number, \textbf{so any document that is sent to the outside needs to be built in jenkins or on unix (with svn checkout in unix).}
But for everyday work and editing you can just work on windows with tortoise svn and texniccenter.

\subsection{Main document and frontmatter}
The document \url{http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc/omi-latex-example/} is intended as a starting point for a new document. 
\begin{enumerate}
\item Copy "omi-latex-template-example.tex" to your folder and rename according to the documentnumber and title (in the format "AURA-OMI-KNMI-L01B-????-??-titel\_gescheiden\_met\_underscores\_bij\_spaties"). \textbf{Make sure to use the correct formatting and document identifier!}
\item Copy "Makefile" to your main folder and set the correct filename after \verb|TARGETS =| 
\item Copy the folder "frontpages"' with its contents
\item Comment out or remove  all the user defined input files in your new main file \verb|\input{sections/...|
\item Make folders for sections, appendix, figures,... 
\item Your main folder now only contains the mainfile "AURA-OMI-KNMI-L01B-????-??-titel\_gescheiden\_met\_underscores\_bij\_spaties. tex" , "Makefile" and folders. \textbf{When the document is built in jenkins, auxiliary files including files with ending .pdf are removed from the main folder, so save all images and other input in subfolders! }
\item Compile (see Sections~\ref{sec:texniccenter} or \ref{sec:onunix}). Fix all errors and reduce the number of warnings and bad boxes as far as possible.
\item Add new folders and files to the repository and commit.
\item Write the document and commit regularly. 
\end{enumerate}
\setcounter{enumi}{0}

\subsection{Setting up TeXnicCenter}\label{sec:texniccenter}

When using TeXnicCenter open your main file and in Project$\rightarrow$"create with active file as main document" with bibtex and makeindex, as shown in Figures~\ref{fig:Texniccenter} and \ref{fig:Texniccenter2}. Please note that we will work with US spelling. 
%
\begin{figure}[ht]
\begin{minipage}[t]{.48\textwidth}
\centering
\includegraphics[width=\textwidth]{figures/TCproject1.png}
\caption[A new TeXnicCenter project]{The main file is used to make a TeXnicCenter project.}
\label{fig:Texniccenter}
\end{minipage}
\hfill
\begin{minipage}[t]{.48\textwidth}
\centering
\includegraphics[width=\textwidth]{figures/TCproject2.png}
\caption[TeXnicCenter project settings]{Make sure both BibTex and MakeIndex are ticked. As we work with NASA we will use US spelling. }
\label{fig:Texniccenter2}
\end{minipage}
\end{figure}
When using TeXnicCenter the file needs to be compiled several (2 -- 4) times to ensure that all bibliographies and the index are displayed.
You need to use the output profile LaTeX$\Rightarrow$PDF, this is chosen in TeXnicCenter $\Rightarrow$ 'build'  $\Rightarrow$ 'select output profiles'. In case there are no output profiles defined in you TeXnicCenter yet, ask Antje for help.

\subsubsection{Compile in TeXnicCenter}
When you have set up a project as described previously, just push \verb|Ctrl+F5| and it should compile and open in Sumatra.
Double clicking in Sumatra should then bring you back to the correct textfile. In case \verb|Ctrl+F5| doesn't open the pdf try \verb|F5| again.
\\
After building the document check the LaTex-Result, there should be no errors, little warnings and only a few bad boxes. \verb|F9| shows the errors, \verb|F10| the warnings and \verb|F11| the bad boxes. Please check the warnings and bad boxes if they need to be fixed. So inspect all overfull boxes, underfull boxes can be ignored. PDF version warnings, PDF multiple page warnings and empty bibliography warnings (if you didn't cite anything) can be ignored.

\subsection{Version number and configuration control}
For the OMI template we have decided that the version number will be generated from the svn revision number. This happens in Jenkins once you have committed your changes. The pdf is then renamed and the svn version and date is added to the name and in the latex files. So please make sure your main file has the correct name!
You can also build the document on a unix machine to get the naming right, see below in Section~\ref{sec:onunix}.
When the document is build in windows, the version number is set to 'x'.

\subsubsection{Building the document on a unix machine}\label{sec:onunix}
To get the version number right, the following needs to be done:
\begin{enumerate}
\item Log into a unix machine
\item Do a svn checkout into a folder where no tortoise is used (so for example make a new folder 'unixdocs' on your mdrive)
\item In the folder where the main file is located run \verb|make clean all|.
\end{enumerate}
The \verb|make| can also be run without options when the files have changed. Option \verb|make clean| removes all auxiliary files and  pdf files. Option \verb|make all| also builds when there were no changes to the files.
The \verb|make| should give no warnings or errors and report 3 passes and the generation of the pdf and the pdf with the version and date extension.

Both generated pdfs should now show 'version: \textit{svnversionnumber}' on the frontpage. If it shows 'version: \textit{svnversionnumber}M',  one or more of the files have been modified since the last commit. Please commit the changed files and rerun. If the frontpage shows 'version: \textit{svnversionnumber1}:{svnversionnumber2}', there are different svn versions in the folder. Makes sure the entire document folder is committed and up to date (including externals!)


